/// Queries from this source are temporarily blocked.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct SourceBlocked {
    #[serde(rename = "sourceRid")]
    source_rid: conjure_object::ResourceIdentifier,
}
impl SourceBlocked {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(source_rid: conjure_object::ResourceIdentifier) -> Self {
        Self::builder().source_rid(source_rid).build()
    }
    #[inline]
    pub fn source_rid(&self) -> &conjure_object::ResourceIdentifier {
        &self.source_rid
    }
}
impl conjure_error::ErrorType for SourceBlocked {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:SourceBlocked"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["sourceRid"]
    }
}
